Bug 16336 - UX of holds patron search with long lists of results
Summary: UX of holds patron search with long lists of results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 15793
Blocks: 16334 16462 16596
  Show dependency treegraph
 
Reported: 2016-04-25 13:29 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
13 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16336 - UX of holds patron search with long lists of results (10.04 KB, patch)
2016-05-06 14:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16336 [Revised] UX of holds patron search with long lists of results (10.56 KB, patch)
2016-05-17 18:51 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16336 [Revised] UX of holds patron search with long lists of results (10.59 KB, patch)
2016-05-24 02:00 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16336 [Revised] UX of holds patron search with long lists of results (10.64 KB, patch)
2016-05-24 19:37 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-25 13:29:56 UTC
Bug 15793 made a change to an interface which is also found in request.tt. The same change should be made there.
Comment 1 Owen Leonard 2016-05-06 14:03:14 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-05-17 18:51:25 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2016-05-24 02:00:27 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-05-24 19:37:54 UTC
Created attachment 51748 [details] [review]
Bug 16336 [Revised] UX of holds patron search with long lists of results

Bug 15793 made a change to an interface which is also found in the place
hold template. This patch creates a new include file to be used by both
circulation.tt and request.tt so that these pages do not diverge.

In the process, this patch removes some markup and JavaScript which was
made obsolete by Bug 15793 and should have been removed.

This patch also revises the sorting of the results table so that the
patron name is sortable (Bug 16334) and the default sort is on card
number (matching 3.20.x and 3.22.x).

To test:

In Circulation:
- Perform a search by name for a patron which will
  return multiple search results.
- The table of results which displays should look correct and work
  correctly, including DataTables sorting.
- Clicking any table row should forward you to the checkout page for
  that patron.

In the catalog:
- Locate and place a hold on a title.
- When prompted to select a patron to place the hold for, perform a
  search by name which will return multiple results.
- Confirm that the table of patron results looks correct and works
  correctly.
- Clicking any table row should forward you to the place hold page for
  that patron and the title you selected.

Revision: Although the table row was clickable, you couldn't
middle-click it to open the link in a new tab. The patron name is now a
real link you can middle-click or right-click. The row is still
clickable as well.

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2016-05-24 19:39:10 UTC
Lot of inconsistencies are fixed by this patch, well done Owen.
I am wondering why branchcode and categorycode are displayed, instead of their description, on these 2 tables. Any valid reasons?
Comment 6 Owen Leonard 2016-05-25 15:37:01 UTC
(In reply to Jonathan Druart from comment #5)

> I am wondering why branchcode and categorycode are displayed, instead of
> their description, on these 2 tables. Any valid reasons?

It is probably simply a remnant of the old version which displayed the list in a <select> and required a more compact display.
Comment 7 Jonathan Druart 2016-05-26 09:52:47 UTC
(In reply to Owen Leonard from comment #6)
> (In reply to Jonathan Druart from comment #5)
> 
> > I am wondering why branchcode and categorycode are displayed, instead of
> > their description, on these 2 tables. Any valid reasons?
> 
> It is probably simply a remnant of the old version which displayed the list
> in a <select> and required a more compact display.

A patch is going to be submitted on bug 16336.
Comment 8 Brendan Gallagher 2016-06-03 08:20:44 UTC
Pushed to Master - Should be in the November 2016 Release. Thanks
Comment 9 Frédéric Demians 2016-06-15 07:35:08 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 10 Jonathan Druart 2016-06-19 12:52:31 UTC
(In reply to Jonathan Druart from comment #7)
> A patch is going to be submitted on bug 16336.

Read bug 16596.